View Issue Details

IDProjectCategoryView StatusLast Update
13061Bug reports[All Projects] Survey designpublic2018-01-18 17:16
ReportercdorinAssigned Toolle 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version 
Summary13061: Survey groups - The Survey list displays only the surveys from the default survey group
Description

Create a survey. Add it once to the default survey group and then to another survey group. Check the survey list both times. The survey will not be displayed in the survey list if it is NOT in the default survey group

TagsNo tags attached.
Complete LimeSurvey version number (& build)LimeSurvey 3 rc3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Operating System (Server)irrelevant
Webserver software & versionirrelevant
PHP Versionirrelevant

Activities

olle

olle

2018-01-17 16:01

administrator   ~45869

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26106

olle

olle

2018-01-18 17:16

administrator   ~45898

Fixed in 3.0.5.

Related Changesets

LimeSurvey: master 048188a7

2018-01-17 16:01:03

olle

Details Diff
Fixed issue 13061: Survey list displays only the surveys from the default survey group
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2017-12-19 11:55 cdorin New Issue
2017-12-19 11:55 cdorin Status new => assigned
2017-12-19 11:55 cdorin Assigned To => LouisGac
2018-01-15 11:02 LouisGac Assigned To LouisGac => olle
2018-01-17 15:45 olle Status assigned => confirmed
2018-01-17 16:01 olle Changeset attached => LimeSurvey master 048188a7
2018-01-17 16:01 olle Note Added: 45869
2018-01-17 16:01 olle Resolution open => fixed
2018-01-17 16:01 olle Status confirmed => resolved
2018-01-17 16:01 olle Fixed in Version => 3.0.5
2018-01-18 17:16 olle Status resolved => closed
2018-01-18 17:16 olle Note Added: 45898